// -----------------------------------------------------------------------
// <copyright file="ContactPersonCriteria.cs" company="Imar.Spaanjaars.Com">
//   Copyright 2008 - 2009 - Imar.Spaanjaars.Com. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace Spaanjaars.ContactManager.BusinessEntities
{
	/// <summary>
	/// A simple criteria class used to search for ContactPerson instances.
	/// </summary>
	public class ContactPersonCriteria
	{
		/// <summary>
		/// Contains (part of) the first name to search for.
		/// </summary>
		public string FirstName { get; set; }
		/// <summary>
		/// Contains (part of) the last name to search for.
		/// </summary>
		public string LastName { get; set; }
		/// <summary>
		/// Contains the type of contact person to search for.
		/// </summary>
		public PersonType PersonType { get; set; }
	}
}
