// -----------------------------------------------------------------------
// <copyright file="ConcurrencyTests.cs" company="Imar.Spaanjaars.Com">
//   Copyright 2008 - 2009 - Imar.Spaanjaars.Com. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

using System;
using System.Data;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Spaanjaars.ContactManager.Bll;
using Spaanjaars.ContactManager.BusinessEntities;

namespace Spaanjaars.Validation.Tests
{
	/// <summary>
	/// This class contains Unit Tests to test the concurrency implementation
	/// of the BusinessBase classes.
	/// </summary>
	[TestClass]
	public class ConcurrencyTests
	{
		[TestMethod]
		[ExpectedException(typeof(DBConcurrencyException))]
		public void CannotSaveChangedAddressTest()
		{
			// Create a new ContactPerson to associate the address with.
			ContactPerson myContactPerson = Helpers.CreateContactPerson();
			Address myAddress = Helpers.CreateAddress(myContactPerson);

			// Get a *copy* of the address based om the Id of the first address.
			Address myCheckAddress = AddressManager.GetItem(myAddress.Id);

			// ALter the copy and save it.
			myCheckAddress.Street = "I moved";
			AddressManager.Save(myCheckAddress);

			// Change the original and save it. This shouldn't work because
			// the item has been changed in the database by the copy.
			myAddress.Type = ContactType.Personal;
			AddressManager.Save(myAddress);
		}
	}
}
