// -----------------------------------------------------------------------
// <copyright file="Helpers.cs" company="Imar.Spaanjaars.Com">
//   Copyright 2008 - 2009 - Imar.Spaanjaars.Com. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

using System;
using Spaanjaars.ContactManager.Bll;
using Spaanjaars.ContactManager.BusinessEntities;

namespace Spaanjaars.Validation.Tests
{
	internal static class Helpers
	{
		internal static ContactPerson CreateContactPerson()
		{
			ContactPerson myContactPerson = new ContactPerson();
			myContactPerson.DateOfBirth = DateTime.Now;
			myContactPerson.FirstName = "Imar";
			myContactPerson.LastName = "Spaanjaars";
			myContactPerson.Type = PersonType.Friend;

			ContactPersonManager.Save(myContactPerson);
			return myContactPerson;
		}

		internal static Address CreateAddress(ContactPerson myContactPerson)
		{
			Address myAddress = new Address();
			myAddress.City = "Utrecht";
			myAddress.Country = "The Netherlands";
			myAddress.Street = "SomeStreet";
			myAddress.HouseNumber = "4";
			myAddress.Type = ContactType.Business;
			myAddress.ZipCode = "1234 EE";
			myAddress.ContactPersonId = myContactPerson.Id;
			AddressManager.Save(myAddress);
			return myAddress;
		}
	}
}
